def-array-pointer
Prev | Aggregate Types | Next

## Name

def-array-pointer — Defines a pointer to a array of type. Macro

## Syntax

    	  def-array-pointer name type

## Arguments and Values

`name`

  A name of the new foreign type.

`type`

  The foreign type of the array elements.

## Description

Defines a type tat is a pointer to an array of type.

## Examples

    (def-array-pointer byte-array-pointer :unsigned-char)

## Side Effects

Defines a new foreign type.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
get-slot-pointer | Home | deref-array